# Create User

​

<mark style="color:green;">`POST`</mark> `https://wallet-api.xaigate.com/api/v1/createUser`

**Parameter content type: application/json**

#### Request Body

| Name                                     | Type   | Description                          |
| ---------------------------------------- | ------ | ------------------------------------ |
| apiKey<mark style="color:red;">\*</mark> | string | fdda9f03-6409-43eb-a6ef-e1f6cea71c2e |

{% tabs %}
{% tab title="200 Successfully" %}

```javascript
{
    "name"="Wilson",
    "owner": {
        "id": "sha7891bikojbkreuy",
        "name": "Samuel Passet",
    "species": "Dog",}
    "breed": "Golden Retriever",
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

{% endtab %}
{% endtabs %}

### Request Parameter <a href="#request-parameter" id="request-parameter"></a>

| **Parameter**                                     | **Type** | **Sample Value** |
| ------------------------------------------------- | -------- | ---------------- |
| apiKey <mark style="color:red;">(required)</mark> | String   | ​                |

### Example Value <a href="#example-value" id="example-value"></a>

```
{
    "apiKey": "332a2eb7-916a-46e0-833a-a058375d1a34"
}
```

### Response (<mark style="color:green;">200 Ok</mark> - https status code) <a href="#response-200-ok-https-status-code" id="response-200-ok-https-status-code"></a>

| **Response** | **Type** | **Sample Value** |
| ------------ | -------- | ---------------- |
| userId       | String   | ​                |
| status       | String   | ​                |
| createdAt    | String   | ​                |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
    "userId": "097f35dd-a806-43ef-ab0d-f121cb11567e",
    "createdAt": "2023-11-13T07:31:34.764154Z",
    "status": "active"
}
```
